bash

Description:The standard GNU Bourne again shell
License: GPL-3
Homepage:http://tiswww.case.edu/php/chet/bash/bashtop.html
Location:Portage
Legend:
  • + - stable
  • ~ - unstable
  • M - hardmask
alpha amd64 arm hppa ia64 m68k mips ppc ppc64 s390 sh sparc x86
5.0_p3-r1 diff ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
5.0_p3 diff ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
5.0_p2-r2 diff ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
4.4_p23-r1 diff + + + + + + ~ + + + + + +
4.3_p48-r2 diff + + + + + + ~ + + + + + +
4.2_p53 diff + + + + + + ~ + + + + + +
4.1_p17 diff + + + + + + ~ + + + + + +
4.0_p44 diff + + + + + + ~ + + + + + +
3.2_p57 diff + + + + + + ~ + + + + + +
3.1_p23 diff + + + + + + ~ + + + + + +
3.0_p22 diff + + + + + + ~ + + + + + +
2.05b_p13 + + + + + + ~ + + + + + +

USE flags

  • afs - Add OpenAFS support (distributed file system)
  • bashlogger - Log ALL commands typed into bash; should ONLY be used in restricted environments such as honeypots
  • examples - Install examples, usually source code
  • mem-scramble - Build with custom malloc/free overwriting allocated/freed memory
  • net - Enable /dev/tcp/host/port redirection
  • nls - Add Native Language Support (using gettext - GNU locale utilities)
  • plugins - Add support for loading builtins at runtime via 'enable'
  • readline - Enable support for libreadline, a GNU line-editing library that almost everyone wants
  • static - !!do not set this during bootstrap!! Causes binaries to be statically linked instead of dynamically
  • vanilla - Do not add extra patches which change default behaviour; DO NOT USE THIS ON A GLOBAL SCALE as the severity of the meaning changes drastically

Security Advisory

Date Severity Title
about 2 years normal Bash: Multiple vulnerabilities
over 2 years normal Bash: Arbitrary code execution
over 4 years high Bash: Multiple vulnerabilities
over 4 years high Bash: Code Injection (Updated fix for GLSA 201409-09)
over 4 years high Bash: Code Injection
over 6 years normal Bash: Multiple vulnerabilities

Also available in: Atom

Thank you!